---
displayed_sidebar: jsClientSidebar
---

# Interface: RequestOptions

[internal](../modules/internal.md).RequestOptions

## Properties

### numberOfRetries

• `Optional` **numberOfRetries**: `number`

#### Defined in

[medusa-js/src/request.ts:23](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L23)

___

### timeout

• `Optional` **timeout**: `number`

#### Defined in

[medusa-js/src/request.ts:22](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/request.ts#L22)
